Subject: Re: undefined reference to `GetStockObject@4' ??
From: [email-masked] (John D. Rogers)

24 Mar 1998 18:22:11 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: "[email-masked]" <[email-masked]>

Jason Dagit wrote:
> 
> Hello,
> 
> I'm a still a newbie and I'm still having troubles.  Could someone help
> me figure out why gcc can't find GetStockObject on my configuration?
> The command line I use is:
> gcc -ofoo.exe foo.c -lkernel32 -luser32 -Wl,--subsystem,windows
> 
> My guess is that I'm not linking a lib that I should be.  Or else, one
> of my header files or libs is missing the definition of GetStockObject,
> but that seems less likely.
> 
> The line in my code that called GetStockObject is:
> wc.hbrBackground = (HBRUSH) GetStockObject(WHITE_BRUSH);
> 
> Thank you,
> Jason
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

I believe GetStockObject is in gdi32, so add "-lgdi32" to your cmd line.
 
John D. Rogers
[email-masked]
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".